Name:     yumex-dnf
Version:  4.3.3
Release:  %mkrel 1
Summary:  A graphical package management tool powered by DNF

Group:    System/Packaging
License:  GPLv2+
URL:      http://yumex.dk
Source0:  https://github.com/timlau/yumex-dnf/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: python3-devel

Requires: python3-dnfdaemon >= 0.3.15
Requires: python3-gobject3 >= 3.10
Requires: python3-pyxdg
Requires: python3-dbus
Requires: python3-cairo


%description
Yum Extender is a graphical package management tool that provides easy access
to the powerful functionality of Yum. This version of Yum Extender is powered
by DNF, the next generation package manager designed to replace Yum.


%prep
%setup -q


%build
%make_build


%install
make install PYTHON=%{__python3} DESTDIR=%{buildroot} DATADIR=%{_datadir}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}-local.desktop

%find_lang %name

%files -f  %{name}.lang
%doc README.md ChangeLog
%license COPYING
%{_datadir}/%{name}
%{_bindir}/%{name}*
%{python3_sitelib}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/appdata/*.xml



%changelog
* Sun May 15 2016 ngompa <ngompa> 4.3.3-1.mga6
+ Revision: 1015644
- Update to 4.3.3

* Sun Jan 24 2016 ngompa <ngompa> 4.1.6-1.mga6
+ Revision: 926861
- Update to 4.1.6

* Sun Oct 25 2015 ngompa <ngompa> 4.1.4-2.mga6
+ Revision: 895403
- Initial import of yumex-dnf for Mageia

